# Generated by Django 2.2.24 on 2021-10-15 05:22

from django.db import migrations, models

from emails.models import hash_subdomain


def copy_already_registered_subdomains_from_profile(apps, schema_editor):
    Profile = apps.get_model("emails", "Profile")
    RegisteredSubdomain = apps.get_model("emails", "RegisteredSubdomain")
    for profile in Profile.objects.exclude(subdomain=None):
        RegisteredSubdomain.objects.create(
            subdomain_hash=hash_subdomain(profile.subdomain)
        )


class Migration(migrations.Migration):

    dependencies = [
        ("emails", "0027_registeredsubdomain"),
    ]

    operations = [migrations.RunPython(copy_already_registered_subdomains_from_profile)]
